/* Make text go full width of text component; used when improper template was used to create page and causing text to not fill component */
.cmp-text {
    max-width: initial;
}

/* Fix word-break issue in tables to break on word */
.remove-word-break a {
    word-break: break-word !important;
}
/******************Weglot***********************************/

/*Restrict form width to remain within parent container 
   - form set to cover full width of pg. (used for translation purposes)*/
   .guideContainerNode {
    max-width: 100%;
}
/*WeGlot Keyboard Focus*/
.wg-drop.wg-mouse-click>div:focus 
{ 
    outline: 3px solid #1CA6DF; 
}

/***********************GLOBAL UPDATES ***********************************/
.cmp-agency-header__wrapper {
	min-height: 6rem;
}
.cmp-agency-header__logo {
	height: 5.5rem;
}

.cmp-header-navigation__item {
	z-index: 101;
}

.cmp-header-navigation__dropdown-arrow {
	display: none !important;
}

.emphasis-brown p {
    padding: 20px;
    display: block!important;
    background-color: #81423A;
}

/* Set "Warning" icon for Alert to "Info" */
.alert-bar__secondary .cmp-alert-bar__icon em:before {
	content: "\f05a";
}

/* Set background color for  content area */
.soi-container > .template__placeholder--content > .aem-Grid > .container > .cmp-container > .cmp-container__mobile > .aem-Grid > .container {
    background-color: white;
}
.soi-container > .template__placeholder--content > .aem-Grid > .container > .cmp-container > .cmp-container__mobile > .aem-Grid > .spacer > .cmp-spacer {
    width: 100%;
    max-width: 75rem;
    margin: 0 auto;
    background-color: #ffffff;
}
/* Set background color for breadcrumbs */
.breadcrumb nav {
    background-color: #ffffff;
}
.breadcrumb .cmp-breadcrumb {
    padding: 15px 0 15px 0;
    max-width: 75rem;
    margin: 30px auto 0 auto;
    display: block;
}

/* Need Logo Column Text for H3 Accessibility, but we're hiding it from display */
.cmp-agency-footer__links-icons .cmp-agency-footer__links-wrapper:first-child h3 {
	display: none;
}

/* Adjust Footer Logo Size */
.cmp-agency-footer__links-wrapper img {
	width: 15rem;
}

@media only screen and (min-width : 769px) {
    .cmp-agency-footer__links-icons {
		align-items: center;
	}
}

/* Hide social column (unused) in footer for spacing */
.cmp-agency-footer__links-wrapper:has(.social-media-icons) {
	display: none;
}

/* Reduce Column Control padding itself on Mobile only */
@media only screen and (max-width : 768px) {
	.soi-column-control .container {
		padding: 0px;
	}
}

/********************* Sticky Header Updates *********************/
@media only screen and (min-width : 769px) {
	.agency-header-is-sticky .cmp-agency-header__mobile-icons {
		display: none;
	}
	.agency-header-is-sticky .cmp-agency-header__links-search {
		display: flex;
		width: 56%;
		flex-direction: row;
		justify-content: space-between;
	}
	.agency-header-is-sticky .cmp-agency-header__links-desktop {
		display: flex;
		margin-bottom: 12px;
	}
	.cmp-agency-header__links-desktop {
		margin-bottom: 25px;
	}
	.agency-header-is-sticky .cmp-agency-header__links-desktop__item:nth-child(2) {
		display: none;
	}
	 .cmp-agency-header__links-desktop__item--link {
	    -webkit-transition-property: all; 
        -webkit-transition-duration: 0.3s;
        -webkit-transition-timing-function: ease;
		color: #ffffff;
	    font-weight: bold;
		padding: 5px 15px 5px 15px;
		border: solid;
		border-radius: 8px;
		border-color: #ffffff;
	}
	 .cmp-agency-header__links-desktop__item--link:hover {
		-webkit-transition-property: all; 
        -webkit-transition-duration: 0.3s;
        -webkit-transition-timing-function: ease;
		transform: scale(1.05);
		text-decoration: none;
	}
	.agency-header-is-sticky .cmp-agency-header__header {
		-webkit-transition-property: all; 
        -webkit-transition-duration: 1.3s;
        -webkit-transition-timing-function: ease;
	}
}

/* ANNOUNCEMENTS (NEWS) UPDATES ================================== */
.news-list .cmp-list__item {
	margin-bottom: 30px !important;
	line-height: 1.9rem;
}

/* HOME PAGE UPDATES ============================================= */
/* Announcements/News Bar padding */
.home-bar .container {
	padding: 0px 5px 5px 15px;
}

/* Hide asset list for Events/News Feed on Home Page */
.hide-asset-list .asset-list {
	display: none;
}

/* Home page Icon Cards */
.home-cards .cmp-icon-card {
	border-style: solid;
	border-radius: 25px;
	border-color: white;
}




/* CON PROGRAM ================================================= */
@media only screen and (max-width : 768px) {
	.icon-card {
		padding-bottom: 0px !important;
	}
}

/* CONTACT US PAGE ============================================ */
/* Map needs Z-Index fixed */
.location-finder .side-by-side .cmp-datatable-map, .location-finder .side-by-side .leaflet-top.leaflet-left, .location-finder .side-by-side .leaflet-pane {
	z-index: 10;
}
.location-finder .side-by-side .leaflet-top.leaflet-left {
	z-index: 10;
}

@media only screen and (min-width : 769px) {
	.cmp-location-finder.side-by-side tr {
		display: block;
		float: left;
	}
	.cmp-location-finder.side-by-side th, .cmp-location-finder.side-by-side td {
		display: block;
		width: -webkit-fill-available !important;
		min-height: 3.5rem !important;
		max-height: 4.0rem;
	}

	.cmp-location-finder.side-by-side th {
		padding-left: 15px;
		padding-top: 15px;
	}

	.cmp-location-finder.side-by-side .cmp-table {
		width: 50%;
		display: flex;
	}

	.cmp-location-finder.side-by-side .cmp-datatable, .cmp-location-finder.side-by-side .dataTable.no-footer.dtr-inline {
		display: flex;
		margin-bottom: 0px !important;
		padding-right: 0px !important;
	}

	#cmp-datatable-map.leaflet-container {
		width: 50%;
		height: 27rem;
		margin-bottom: 0px !important;
	}
}

.side-by-side .data-table .cmp-datatable .cmp-table {
	padding: 0px;
}

.dataTables_info, #DataTables_Table_0_paginate {
		display: none !important;
	}
/* Site name in table has minor width issue with non-first-child header items */
.side-by-side .data-table .cmp-datatable table thead tr {
	border-right: solid 10px #003E62;
	margin-right: -11px;
}
/* Alternate row colors */
.side-by-side .data-table .cmp-datatable table tbody .odd td:nth-child(2n) {
	background-color: #EFEFEF;
}

/* EVENTS CSS ================================================== */
.soi-base.soi-base--news-article > .soi-container > .aem-Grid.aem-Grid--12.aem-Grid--default--12  > .container.responsivegrid.aem-GridColumn.aem-GridColumn--default--12 {
	background-color: #F2EDD8;
}
 .soi-container > .aem-Grid.aem-Grid--12.aem-Grid--default--12 > .container.responsivegrid.aem-GridColumn.aem-GridColumn--default--12 > .cmp-container > .cmp-container__mobile > .aem-Grid.aem-Grid--12.aem-Grid--default--12 > .container.responsivegrid.container--max-width.aem-GridColumn.aem-GridColumn--default--12 > .cmp-container  {
	background-color: #FFFFFF;
	padding-top: 15px;
	margin-bottom: 30px;
}
/* Set background color for  events spacer */
.soi-base.soi-base--news-article > .soi-container > .aem-Grid.aem-Grid--12.aem-Grid--default--12 > .container.responsivegrid.aem-GridColumn.aem-GridColumn--default--12 > .cmp-container > .cmp-container__mobile > .aem-Grid.aem-Grid--12.aem-Grid--default--12 > .spacer.spacer--bg.aem-GridColumn.aem-GridColumn--default--12 > .cmp-spacer {
	width: 100%;
    max-width: 1200px;
    margin: 0 auto;
	background-color: #FFFFFF;
}

/* Fix z-index for modal popup */
.events-calendar .event-detail-modal-backdrop {
	z-index: 101;
}

/* PROJECT SEARCH ========================================= */
/* Below lines are for Project Search CF List on Home Page*/
.home-page .project-search .cmp-cf-list .cmp-cf-list__item:not(:first-child) {
	display: none;
}

/* Hide display title on Home Page Project Search so title text can still match to search */
.home-page .project-search .project-title-class {
	display: none;
}


.cmp-cf-list .cmp-cf-list__item-value.--white-text {
	color: #fff !important;
}

/* Shows only most-recent 5 years of list at first, but keeps everything searchable */
.open-page .project-search .cf-list-template ul li.cmp-cf-list--groupBy-wrapper:nth-child(n+6) {
	display: none;
}

/* SEARCH RESULTS PAGE ========================================= */
.search-results .title, .search-results .search-input-row {
	display: none;
}

.cmp-search-results__top-section {
	padding-top: 0px;
}

/* STAFF PAGE ================================================= */
/* Staff Page Cards */
@media only screen and (min-width : 769px) {
    .cmp-container.staff-cards {
	    border-radius: 10px;
		box-shadow: 0px 0px 10px #003E62;
		margin: 0px 10px 20px 0px;
		padding: 30px;
	}
	.staff-cards .cmp-image__image {
		border-radius: 10px;
	}
}
@media only screen and (max-width : 768px) {
	.cmp-container.staff-cards {
		padding: 0px;
		border-radius: 10px;
		box-shadow: 0px 0px 10px #003E62;
		margin: 0px 10px 20px 0px;
	}
	.staff-cards .cmp-image {
		padding: 0px;
	}
	.staff-cards .cmp-image__image {
		border-top-left-radius: 10px;
		border-top-right-radius: 10px;
	}
}

/*!!!*****************Let's do some animating***********************!!!*/
/* Mouse Hover effect; put "animate-hover" on each item */
.animate-hover, .animate-hover-header .cmp-header-navigation__item-link {
	display:block; 
	z-index:999; 
	cursor: pointer; 
	-webkit-transition-property: all; 
	-webkit-transition-duration: 0.3s; 
	-webkit-transition-timing-function: ease; 
}

.animate-hover-content .cmp-news-feed__list ul li, .animate-hover-content .icon-card, .animate-hover-content .cmp-agency-footer__links-wrapper img, .animate-hover-content .cmp-list__item {
	-webkit-transition-property: all; 
    -webkit-transition-duration: 0.3s; 
    -webkit-transition-timing-function: ease;
}


.animate-hover:hover, .animate-hover-content .cmp-news-feed__list ul li:hover, .animate-hover-content .icon-card:hover, .animate-hover-content .cmp-agency-footer__links-wrapper img:hover, .animate-hover-content .cmp-list__item:hover { 
	transform: scale(1.03); 

}

/* Adjust padding on home page CF list */
.contentfragmentlist:has(.animate-hover-content) {
	padding-bottom: 0px !important;
}

.color-hover img {
    filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale"); /* Firefox 10+, Firefox on Android */    
   -webkit-filter: grayscale(100%);
   -moz-filter: grayscale(100%);
   -ms-filter: grayscale(100%);
   filter: grayscale(100%);
   filter: gray; /* IE 6-9 */
}

.color-hover img:hover {
   -webkit-filter: none;
   -moz-filter: none;
   -ms-filter: none;
   filter: none;
}

@media only screen and (min-width : 768px) {
	.cmp-location-finder.side-by-side {
		height: 450px;
	}
}